<script lang="ts">
  import StartGameButton from './StartGameButton.svelte'
  import { playerOneName, playerTwoName, playerOneTotal, playerTwoTotal } from '../store'
  import { getGameWinner } from '../helpers/grid'

  $: winner = getGameWinner($playerOneTotal, $playerTwoTotal)
  $: isDraw = winner === 'draw'

  const label = {
    draw: 'Draw',
    player1: $playerOneName,
    player2: $playerTwoName,
  }
</script>

<div class="relative z-10" class:hidden={!open} aria-labelledby="modal-title" role="dialog" aria-modal="true">
  <div class="fixed inset-0 bg-gray-200 bg-opacity-75 transition-opacity" />

  <div class="fixed inset-0 z-10 overflow-y-auto" on:click|stopPropagation on:keydown>
    <div class="flex min-h-full items-end justify-center p-4 text-center sm:items-center sm:p-0">
      <div
        class="relative transform overflow-hidden bg-slate-800 text-left shadow-xl transition-all sm:my-8 sm:w-full cursor-default"
      >
        <div class="flex items-center flex-col justify-center p-12 box-border">
          <h3 class="rubik-font text-5xl font-medium leading-6 text-white">
            {#if !isDraw}
              <span>Winner: </span>
            {/if}
            <span class:text-violet-600={!isDraw}>{label[winner]} !!</span>
          </h3>
          <p class="rubik-font text-white text-3xl my-8 tracking-widest">{$playerOneTotal} - {$playerTwoTotal}</p>

          <StartGameButton label={winner === 'player1' ? 'New game' : 'Try again'} />
        </div>
      </div>
    </div>
  </div>
</div>
